Subject: [Pce] Please publish draft-ietf-pce-pcep-11.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 16 Mar 2008 21:12:02 -0000

Proto-write-up for draft-ietf-pcep-pcep-11.txt

Intended status : Standards Track

> (1.a)  Who is the Document Shepherd for this document?  Has the
>        Document Shepherd personally reviewed this version of the
>        document and, in particular, does he or she believe this
>        version is ready for forwarding to the IESG for publication?

Adrian Farrel is the document shepherd.
He has personally reviewed the I-D and believes it is ready for forwarding
to the IESG for publication.

> (1.b)  Has the document had adequate review both from key WG members
>        and from key non-WG members?  Does the Document Shepherd have
>        any concerns about the depth or breadth of the reviews that
>        have been performed?

I-D has had very good level of discussions and review. The high version
number is indicative of many small deltas over the last year as reviews and
implementations have discovered nits to be fixed.

> (1.c)  Does the Document Shepherd have concerns that the document
>        needs more review from a particular or broader perspective,
>        e.g., security, operational complexity, someone familiar with
>        AAA, internationalization or XML?

We are aware that the security considerations for a new protocol need
special attention. The I-D has been the subject of several informal security
discussions, and the authors and chairs have attempted to get the security
section right. But the WG feels that a review by the Security Directorate at
the same time as IESG review would be useful to close out any issues.

> (1.d)  Does the Document Shepherd have any specific concerns or
>        issues with this document that the Responsible Area Director
>        and/or the IESG should be aware of?  For example, perhaps he
>        or she is uncomfortable with certain parts of the document, or
>        has concerns whether there really is a need for it.  In any
>        event, if the WG has discussed those issues and has indicated
>        that it still wishes to advance the document, detail those
>        concerns here.  Has an IPR disclosure related to this document
>        been filed?  If so, please include a reference to the
>        disclosure and summarize the WG discussion and conclusion on
>        this issue.

The document is sound.
No IPR disclosure has been filed.

> (1.e)  How solid is the WG consensus behind this document?  Does it
>        represent the strong concurrence of a few individuals, with
>        others being silent, or does the WG as a whole understand and
>        agree with it?

Consensus is comprehensive to the point of unanimity!

> (1.f)  Has anyone threatened an appeal or otherwise indicated extreme
>        discontent?  If so, please summarise the areas of conflict in
>        separate email messages to the Responsible Area Director.  (It
>        should be in a separate email because this questionnaire is
>        entered into the ID Tracker.)

No threats. No discontent.

> (1.g)  Has the Document Shepherd personally verified that the
>        document satisfies all ID nits?  (See
>        http://www.ietf.org/ID-Checklist.html and
>        http://tools.ietf.org/tools/idnits/).  Boilerplate checks are
>        not enough; this check needs to be thorough.  Has the document
>        met all formal review criteria it needs to, such as the MIB
>        Doctor, media type and URI type reviews?

All checks made.

> (1.h)  Has the document split its references into normative and
>        informative?  Are there normative references to documents that
>        are not ready for advancement or are otherwise in an unclear
>        state?  If such normative references exist, what is the
>        strategy for their completion?  Are there normative references
>        that are downward references, as described in [RFC3967]?  If
>        so, list these downward references to support the Area
>        Director in the Last Call procedure for them [RFC3967].

References split.
No downrefs.

> (1.i)  Has the Document Shepherd verified that the document IANA
>        consideration section exists and is consistent with the body
>        of the document?  If the document specifies protocol
>        extensions, are reservations requested in appropriate IANA
>        registries?  Are the IANA registries clearly identified?  If
>        the document creates a new registry, does it define the
>        proposed initial contents of the registry and an allocation
>        procedure for future registrations?  Does it suggest a
>        reasonable name for the new registry?  See [RFC2434].  If the
>        document describes an Expert Review process has Shepherd
>        conferred with the Responsible Area Director so that the IESG
>        can appoint the needed Expert during the IESG Evaluation?

The document defines a new protocol and requests a registry with multiple 
sub-registries. The registries are well documented and named.

> (1.j)  Has the Document Shepherd verified that sections of the
>        document that are written in a formal language, such as XML
>        code, BNF rules, MIB definitions, etc., validate correctly in
>        an automated checker?

The message formats are described in relatively simple BNF. No automated 
checker has been used.

Note that the symbol "|" is used to denote an alternative whereas RFC 5234 
specifies the use of "/". This choice was made deliberately as the "|" 
symbol is found in related RFCs (e.g. RFCs 2205, 3209, 3473).

> (1.k)  The IESG approval announcement includes a Document
>        Announcement Write-Up.  Please provide such a Document
>        Announcement Write-Up.  Recent examples can be found in the
>        "Action" announcements for approved documents.  The approval
>        announcement contains the following sections:
>
>        Technical Summary
>           Relevant content can frequently be found in the abstract
>           and/or introduction of the document.  If not, this may be
>           an indication that there are deficiencies in the abstract
>           or introduction.

RFC4655 describes the motivations and architecture for a Path Computation 
Element (PCE) based model for the computation of Multiprotocol Label 
Switching (MPLS) and Generalized (GMPLS) Traffic Engineering Label Switch 
Paths (TE LSPs).  The model allows for the separation of PCE from Path 
Computation Client (PCC), and allows for the cooperation between PCEs.  This 
necessitates a communication protocol between PCC and PCE, and between PCEs.

RFC4657 states the generic requirements for such a protocol including the 
requirement for using the same protocol between PCC and PCE, and between 
PCEs.

This document specifies the Path Computation Element Communication Protocol 
(PCEP) for communications between a Path Computation Client (PCC) and a Path 
Computation Element (PCE), or between two PCEs. Such interactions include 
path computation requests and path computation replies as well as 
notifications of specific states related to the use of a PCE in the context 
of Multiprotocol Label Switching (MPLS) and Generalized (GMPLS) Traffic 
Engineering. PCEP is designed to be flexible and extensible so as to easily 
allow for the addition of further messages and objects, should further 
requirements be expressed in the future.

>        Working Group Summary
>           Was there anything in WG process that is worth noting?  For
>           example, was there controversy about particular points or
>           were there decisions where the consensus was particularly
>           rough?

WG has thorough consensus with no disputes or disagreements.
At the start of the development of the protocol, a thorough survey was 
conducted into the possible use or re-use of existing protocols. The 
Applications Area was engaged, and several prototypes were produced. But in 
the end it was determined that a new protocol was expeditious.

>        Document Quality
>           Are there existing implementations of the protocol?  Have a
>           significant number of vendors indicated their plan to
>           implement the specification?  Are there any reviewers that
>           merit special mention as having done a thorough review,
>           e.g., one that resulted in important changes or a
>           conclusion that the document had no substantive issues?  If
>           there was a MIB Doctor, Media Type or other expert review,
>           what was its course (briefly)?  In the case of a Media Type
>           review, on what date was the request posted?

There are a substantial number of implementations (around 10 were recorded 
in an informal survey). Some of these are experimental implementations in 
service provider labs, while some are academic projects. Other 
implementations are for hardware and software products and are commercially 
available.

Private interoperability testing has been conducted between at least four of 
these implementations. Initial testing raised important defects in the 
specification (that were fixed). 

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce